From 975570c2c79858cb6bce90b1c889aa82928214fc Mon Sep 17 00:00:00 2001
From: Evgenii Kliuchnikov <eustas@google.com>
Date: Wed, 6 Mar 2024 11:27:53 +0000
Subject: [PATCH] Fix build for some compilers

---
 lib/jxl/coeff_order.h | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/lib/jxl/coeff_order.h b/lib/jxl/coeff_order.h
index 1b8beadbc19..79c0c976c94 100644
--- lib/jxl/coeff_order.h.orig
+++ lib/jxl/coeff_order.h
@@ -30,10 +30,9 @@ static constexpr std::array<size_t, 3 * kNumOrders + 1> kCoeffOrderOffset = {
     100,  108,  172,  236,  300,  332,  364,  396,  652,  908,
     1164, 1292, 1420, 1548, 2572, 3596, 4620, 5132, 5644, kCoeffOrderLimit};
 
-static JXL_MAYBE_UNUSED constexpr size_t CoeffOrderOffset(size_t order,
-                                                          size_t c) {
-  return kCoeffOrderOffset[3 * order + c] * kDCTBlockSize;
-}
+// TODO(eustas): rollback to constexpr once modern C++ becomes reuired.
+#define CoeffOrderOffset(O, C) \
+  (kCoeffOrderOffset[3 * (O) + (C)] * kDCTBlockSize)
 
 static JXL_MAYBE_UNUSED constexpr size_t kCoeffOrderMaxSize =
     kCoeffOrderLimit * kDCTBlockSize;
